/*
 * This file was generated by the Gradle 'init' task.
 *
 * The settings file is used to specify which projects to include in your build.
 * For more detailed information on multi-project builds, please refer to https://docs.gradle.org/8.10-20240723224155+0000/userguide/multi_project_builds.html in the Gradle documentation.
 * This project uses @Incubating APIs which are subject to change.
 */

rootProject.name = "istio-kubernetes-best-friend"

plugins {
    id("com.gradle.develocity") version("3.19.2")
    id("com.gradle.common-custom-user-data-gradle-plugin") version "2.1"
    id("org.gradle.toolchains.foojay-resolver-convention") version "0.9.0"
}

val env: Map<String, String> = System.getenv()
val isCI = env["CI"].toBoolean()
val hasDV = env["DEVELOCITY_ENABLED"].toBoolean()

buildCache {
    local { isEnabled = !isCI }
    remote(develocity.buildCache) {
        isEnabled = isCI || hasDV
        isPush = isCI
    }
}

develocity {
    server = env["DEVELOCITY_SERVER"] ?: "https://no.ge.local"
    buildScan {
        publishing.onlyIf { hasDV || isCI }
        capture {
            fileFingerprints = true
            buildLogging = true
            testLogging = true
        }
        uploadInBackground = !isCI
        if(isCI) {
            tag(env["CI_COMMIT_REF_NAME"])
            value("Pipeline", env["CI_PIPELINE_ID"])
            value("Job Image", env["CI_JOB_IMAGE"])
            link("Source", "https://gitlab.com/davinkevin/Podcast-Server/tree/${env["CI_COMMIT_REF_NAME"]}")
        }
    }
}

include("app:database")
include("app:middleware")
include("app:frontend")
